be.fgov.ehealth.dics.core.v4.core

## Class StrengthRangeType

- java.lang.Object
- - be.fgov.ehealth.dics.core.v4.core.StrengthRangeType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:57:31+01:00",
                 comments="JAXB RI v2.3.7")
      public class StrengthRangeType
      extends Object
      implements Serializable

  Java class for StrengthRangeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StrengthRangeType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="NumeratorRange" type="{urn:be:fgov:ehealth:dics:core:v4:core}RangeType"/>
               <element name="Denominator" type="{urn:be:fgov:ehealth:dics:core:v4:core}QuantityType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrengthRangeType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QuantityType` | `getDenominator()` Gets the value of the denominator property.
    `RangeType` | `getNumeratorRange()` Gets the value of the numeratorRange property.
    `void` | `setDenominator(QuantityType value)` Sets the value of the denominator property.
    `void` | `setNumeratorRange(RangeType value)` Sets the value of the numeratorRange property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrengthRangeType

          public StrengthRangeType()

  - ### Method Detail

    - #### getNumeratorRange

          public RangeType getNumeratorRange()

      Gets the value of the numeratorRange property.
      Returns:
        possible object is `RangeType`

    - #### setNumeratorRange

          public void setNumeratorRange(RangeType value)

      Sets the value of the numeratorRange property.
      Parameters:
        `value` - allowed object is `RangeType`

    - #### getDenominator

          public QuantityType getDenominator()

      Gets the value of the denominator property.
      Returns:
        possible object is `QuantityType`

    - #### setDenominator

          public void setDenominator(QuantityType value)

      Sets the value of the denominator property.
      Parameters:
        `value` - allowed object is `QuantityType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.